分页: 4 / 6

Re: GMLive 0.22.2版本释出

发表于 : 2009-10-05 21:50
sammeme
发一个改过的 xpps.cc 源码

对 gmlive-extra-0.3 中的 xpps 源码做了如下改进

* 根据 "no openssl" 版本的源码 恢复 “去除的” 局域网广播功能。这个功能对我来说是必须的,对保存至文件不感冒。
* 添加命令行参数
-p 局域网广播端口号
-l ppstream 节目链接 pps://

参考使用方法:

LD_PRELOAD="libppswrapper-preload.so" ./xpps -p 8099 -l pps://hwhna4wqeb32p6ei2aqa.pps/%B9%F9%B5%C2%B8%D9%CF%E0%C9%F9%D7%A8%B3%A1%C9%CF.wmv

mplayer http://127.0.0.1:8099

Re: GMLive 0.22.2版本释出

发表于 : 2009-10-08 17:14
gs-linux
lerosua 写了:GMLive 0.22.2版本释出.有如下更新:

1. 配置目录由 ~/.gmlive转移到~/.config/gmlive下

2.添加整组频道加入书签功能。

3.改进xpps播放功能

与本版本配合的gmlive-extra为 0.3. 不再需要root权限。

gmlive-0.22.2 下载地址:
http://gmlive.googlecode.com/files/gmli ... .2.tar.bz2
gmlive-extra-0.3 下载地址:
http://gmlive.googlecode.com/files/gmli ... 0.3.tar.gz

另外,如果你仍然使用ubuntu8.04的系统,可以尝试编译
http://gmlive.googlecode.com/files/gmli ... se.tar.bz2

此版本恢复libglademm依赖以降低gtk+版本的要求。

http://www.lerosua.org/2009/09/gmlive-0-22-2/
刚刚看到ubuntu8.04需要编译gloose版本,我说怎么编译不过去。

Re: GMLive 0.22.2版本释出

发表于 : 2009-10-08 20:45
yhlfh
64位deb包

Re: GMLive 0.22.2版本释出

发表于 : 2009-10-14 1:30
fone4u
自己编译的gmlive-0.22.2-gloose.tar.bz2,在ub 8。10下面,可以看pps和pplive,但是看不了sopcast,连列表都不出来? 这是怎么回事? gmlive 0。21可以看sopcast这是怎么回事呢? 谁能说一下阿

Re: GMLive 0.22.2版本释出

发表于 : 2009-10-17 10:55
carlos444_444
wangks18 写了:打包以后和上一版比较,没有usr/lib/totem,那个什么tvonline没了
附件 gmlive_0.22.2_i386.deb 已经无效
checkinstall打的包 :em06 我教育网,网速不行看不了
gmlive-extra要单独装
重新用dpkg打了个包,加了个快捷方式,稍微改了下control文件。
:em02

Re: GMLive 0.22.2版本释出

发表于 : 2009-10-24 23:51
lsl330
斗篷,你那个gmlive现在还不能自适应屏幕阿~
我看高清翡翠台,16:9的比例,全屏后硬拉成了4:3 :em06

Re: GMLive 0.22.2版本释出

发表于 : 2009-10-25 0:43
fcukvista
有声音没图像

播放框的地方是空白

Re: GMLive 0.22.2版本释出

发表于 : 2009-10-31 17:53
leruo
50楼的deb包
我这是里提示缺少libglademm
已经安装了 libcairomm-1.0-1 libglademm-2.4-1c2a libgtkmm-2.4-1c2a libpangomm-1.4-1

求助

Re: GMLive 0.22.2版本释出

发表于 : 2009-10-31 22:00
jiangkero
我这还是看不了pps 点列表没有任何反应

Re: GMLive 0.22.2版本释出

发表于 : 2009-11-06 14:50
zebrattt
lerosua 写了:GMLive 0.22.2版本释出.有如下更新:

1. 配置目录由 ~/.gmlive转移到~/.config/gmlive下

2.添加整组频道加入书签功能。

3.改进xpps播放功能

与本版本配合的gmlive-extra为 0.3. 不再需要root权限。

gmlive-0.22.2 下载地址:
http://gmlive.googlecode.com/files/gmli ... .2.tar.bz2
gmlive-extra-0.3 下载地址:
http://gmlive.googlecode.com/files/gmli ... 0.3.tar.gz

另外,如果你仍然使用ubuntu8.04的系统,可以尝试编译
http://gmlive.googlecode.com/files/gmli ... se.tar.bz2

此版本恢复libglademm依赖以降低gtk+版本的要求。

http://www.lerosua.org/2009/09/gmlive-0-22-2/

什么时候把gmlive-0.22.2 和 gmlive-extras-0.3 放到源里去啊

Re: GMLive 0.22.2版本释出

发表于 : 2009-11-11 20:53
mancomeon
为什么我编译PPS的时候出现下面的错误呢??

g++ -O2 -g -m32 -c -o xpps.o xpps.cc
In file included from /usr/include/features.h:378,
from /usr/include/stdio.h:28,
from xpps.cc:1:
/usr/include/gnu/stubs.h:7:27: error: gnu/stubs-32.h: 没有该文件或目录
make: *** [xpps.o] 错误 1
cp xpps /usr/bin/
cp: 无法 stat “xpps”: 没有该文件或目录
make: *** [install] 错误 1

Re: GMLive 0.22.2版本释出

发表于 : 2009-11-12 1:28
xrb2007
凤凰台有乱码。

Re: GMLive 0.22.2版本释出

发表于 : 2009-11-12 15:20
mancomeon
我是64位,U9.10,
为什么我的Gmlive 播放不了呢,不管是MMS ,还是sopcast,都不行。

Re: GMLive 0.22.2版本释出

发表于 : 2009-11-27 15:38
khakitx
打开频道列表文件错误,请选择一个本地的频道列表文件来代替损坏的文件!

代码: 全选

[email protected]:~# gmlive
MainWindow.cpp|MainWindow|857| support sopcast
/root/.config/gmlive/pplive.lst:1: parser error : Document is empty

^
/root/.config/gmlive/pplive.lst:1: parser error : Start tag expected, '<' not found

^
iconv -f gb18030 -t utf8 /root/.config/gmlive/pplive.lst | sed 's/encoding="gb2312"/encoding="utf-8"/' > /tmp/gmlive.xml.encode
/tmp/gmlive.xml.encode:1: parser error : Document is empty

^
/tmp/gmlive.xml.encode:1: parser error : Start tag expected, '<' not found

^
pplive file error: /root/.config/gmlive/pplive.lst
MainWindow.cpp|MainWindow|870| support pplive
http://list.pplive.com/zh-cn/xml/new.xml
/root/.config/gmlive/pplive.lst:1: parser error : Document is empty

^
/root/.config/gmlive/pplive.lst:1: parser error : Start tag expected, '<' not found

^
iconv -f gb18030 -t utf8 /root/.config/gmlive/pplive.lst | sed 's/encoding="gb2312"/encoding="utf-8"/' > /tmp/gmlive.xml.encode
/tmp/gmlive.xml.encode:1: parser error : Document is empty

^
/tmp/gmlive.xml.encode:1: parser error : Start tag expected, '<' not found

^
pplive file error: /root/.config/gmlive/pplive.lst


Re: GMLive 0.22.2版本释出

发表于 : 2009-11-27 16:06
gloat
我的是装了之后PPS一直都是显示缓冲,而且都是0.简直无语了